import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40;
const mouthWidth = 20;
const mouthRadius = 140;
const teethWidth = 120;
const teethRadius = 0;
const teethSpace = 40;
const toothWidth = 15;


const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI/2)
  .endAngle(Math.PI *3/2);

const teethArc =  arc()
    .innerRadius(teethRadius)
    .outerRadius(teethRadius)
    .startAngle(Math.PI)
    .endAngle(Math.PI );

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="pink"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
      <path d={mouthArc()}/>    
      <path fill="white" d={teethArc()}/> 
    	<line x1="160" y1="10" x2="-160" y2="10" stroke="black" stroke-width={mouthWidth} />
      <line x1="0" y1="0" x2="2" y2="160" stroke="black" stroke-width={toothWidth} />
      
      <line x1={teethSpace * 2} y1="0" x2={teethSpace * 2} y2="120" stroke="black" stroke-width={toothWidth} />
     
      <line x1={-teethSpace * 2} y1="0" x2={-teethSpace * 2} y2="120" stroke="black" stroke-width={toothWidth} /> 
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);